Subject: RE: ROHC-over-PPP

From: [email-masked]
Date: Tue, 29 May 2001 18:20:15 -0700

I think this is a good point: it's not retransmission that's bad; it's
*slow* retransmission that's bad.  Fast retransmission appears to an upper
layer as a small amount of delivery jitter, something that's been present
since Ethernet has been around.
-------------------------------------------
Eric L. Michelsen, Copper Mountain Networks

> -----Original Message-----
> From: Pete McCann [mailto:[email-masked]]
> Sent: Friday, May 25, 2001 12:51
> To: Jonathan Goodchild
> Cc: [email-masked]'
> Subject: RE: ROHC-over-PPP
> 
> 
> 
> Hi,
> 
> Not sure this is the right list (these are really PILC-ROHC 
> issues) but
> I wanted to respond here.
> 
> Jonathan Goodchild <[email-masked]> (JG) writes:
> 
> JG> ] .. bad things happen with necessarily smart link layers such as
> JG> ] TCP/IP/wireless-modems, where the wireless links do 
> retransmissions.
> JG> ] There are Internet Drafts that discuss these issues in
> JG> ] http://www.ietf.org/internet-drafts/draft-ietf-pilc-slow-05.txt
> JG> ] 
> http://www.ietf.org/internet-drafts/draft-ietf-pilc-error-06.txt and
> JG> ] 
> http://www.ietf.org/internet-drafts/draft-ietf-pilc-link-design-05.txt
> 
> It is certainly true that too much link-layer retransmission can
> interact badly with TCP, but without any way of increasing the
> reliability of the raw wireless channel, the IP-layer "goodput" will
> be terrible and end-to-end performance will suffer.  This is not at
> all inconsistent with the above drafts or this one:
> 
> draft-ietf-pilc-link-arq-issues-01.txt
> 
> These documents points out that (low persistency) link-layer
> reliability mechanisms can improve end-to-end performance, especially
> when frame sizes are small and raw frame error rates are high.
> 
> JG> Funnily enough, I was at a meeting this morning at which 
> I argued that
> JG> supporting PDCP (3GPP TS 25.323) over acknowledged mode 
> RLC was a waste of
> JG> time, whilst the only traffic types defined for PDCP are 
> PPP and IP.
> 
> JG> It seems to me that a "robust against packet loss" (and 
> what's more, silent
> JG> packet loss) TCP-compression scheme is highly desirable.
> 
> Once a certain amount of link-layer retransmission is done, it is not
> clear to me what the benefit of "robust against packet loss" TCP
> header compression will be.  With 2 or 3 retransmissions, it is
> possible to get the wireless link packet errors down to ranges
> comparable to wired links.  If that can be done without introducing an
> amount of delay that will trigger TCP badness, then I see little
> reason to spend time and effort on robust TCP compression.  Of course,
> if someone can show me simulations that say it can't be done, I might
> be willing to change my mind.
> 
> -Pete
> 
> 
> 
> 
>